Jump to content
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble
Strawberry Orange Banana Lime Leaf Slate Sky Blueberry Grape Watermelon Chocolate Marble

MSFN is made available via donations, subscriptions and advertising revenue. The use of ad-blocking software hurts the site. Please disable ad-blocking software or set an exception for MSFN. Alternatively, register and become a site sponsor/subscriber and ads will be disabled automatically. 


thirteenth

Last Versions of Software for Windows 2000

Recommended Posts

2 hours ago, sdfox7 said:

I am not using KernelEx or Pale Moon, just the portable version of New Moon. I also have UURollup installed which might make a difference.

UURollup implies KernelEx, just less updated.

You may try running PM27 on vanilla 2000 SP4 with updates from Windows Update, but not UURollup, and it should not work (since msvcr120.dll requires XP functions)

Share this post


Link to post
Share on other sites

New Pale Moon 26.5 for Win2000 build:

updated test binary:
https://o.rthost.cf/gpc/files1.rt/palemoon-26.5.0-20180718.win2000.7z

and updated test binary of K-Meleon 74 with Goanna 2.2(palemoon-26.5) that works in Win2000:
https://o.rthost.cf/gpc/files1.rt/KM74-g22-20180718.win2000.7z

base repo: https://github.com/roytam1/palemoon26/tree/oldvc

Changes since last build (omitted due to forum restrictions, changelog available in blog entry)

 

Edited by roytam1
  • Like 1

Share this post


Link to post
Share on other sites
On 7/18/2018 at 7:46 AM, roytam1 said:

New Pale Moon 26.5 for Win2000 build:

updated test binary:
https://o.rthost.cf/gpc/files1.rt/palemoon-26.5.0-20180718.win2000.7z

and updated test binary of K-Meleon 74 with Goanna 2.2(palemoon-26.5) that works in Win2000:
https://o.rthost.cf/gpc/files1.rt/KM74-g22-20180718.win2000.7z

base repo: https://github.com/roytam1/palemoon26/tree/oldvc

Changes since last build (omitted due to forum restrictions, changelog available in blog entry)

 

i was wondering how that most recent updated test binary of k-meleon 74 you listed compares with firefox 31.8.0 esr, more specfically for youtube as another forum member posted saying youtube worked on that k-meleon 74 version you listed but on windows me? i noticed just recently that apparently not all videos will play on windows 2000 with the extended kernel using firefox 31.8.0 esr, it mentions a html5 related error, i only tried two videos, one displayed the error message and the other didn't and played fine. 

i was wondering if that k-meleon browser would work on windows 98SE with kernelex? it would be nice to use that k-meleon browser on windows 2000 if it doesn't require the extended kernel, that way, one can substitute the extra space for other official updates such as in my case of having all contents a bit less than 670 MB after burning on a cd, i realized the only program i only really needed more modern from the extended kernel for windows 2000 was the web browser firefox 31.8.0 esr, i don't think i needed anything else per say. 

Share this post


Link to post
Share on other sites
24 minutes ago, cov3rt said:

i was wondering how that most recent updated test binary of k-meleon 74 you listed compares with firefox 31.8.0 esr, more specfically for youtube as another forum member posted saying youtube worked on that k-meleon 74 version you listed but on windows me? i noticed just recently that apparently not all videos will play on windows 2000 with the extended kernel using firefox 31.8.0 esr, it mentions a html5 related error, i only tried two videos, one displayed the error message and the other didn't and played fine. 

i was wondering if that k-meleon browser would work on windows 98SE with kernelex? it would be nice to use that k-meleon browser on windows 2000 if it doesn't require the extended kernel, that way, one can substitute the extra space for other official updates such as in my case of having all contents a bit less than 670 MB after burning on a cd, i realized the only program i only really needed more modern from the extended kernel for windows 2000 was the web browser firefox 31.8.0 esr, i don't think i needed anything else per say. 

Yes, that version doesn't require kernelex on windows 2000, it works also with vanilla one... As for windows 98, it requires the kernelex to work.

EDIT: Also, HTML5 videos will work fine.

Edited by slayer1994

Share this post


Link to post
Share on other sites
11 minutes ago, slayer1994 said:

Yes, that version doesn't require kernelex on windows 2000, it works also with vanilla one... As for windows 98, it requires the kernelex to work.

nice, i actually tested it out right now on windows 2000, although extended kernel was installed, youtube videos worked fine and all content on the page loaded fine, has a 720p option to watch videos in hd which isn't bad or auto / 360p. i will need to test it on windows 98SE next with kernelex, the only things left are NT4 and windows 95, there is of course an existing NT4  api project in the makings to allow newer web browsers, w95 supposed for later. 

Share this post


Link to post
Share on other sites
On 7/20/2018 at 12:23 PM, slayer1994 said:

Yes, that version doesn't require kernelex on windows 2000, it works also with vanilla one... As for windows 98, it requires the kernelex to work.

EDIT: Also, HTML5 videos will work fine.

hmm..., well i just tested k-meleon 74 with the goanna 2.2 web browser and it didn't work / launch on 98SE with kernelex 4.5.2 installed, mentioning failed to initialize. perhaps what you meant on k meleon working on windows 98SE with kernelex was the non goanna 2.2 combined browser / and / or an older version?

Share this post


Link to post
Share on other sites
18 minutes ago, cov3rt said:

hmm..., well i just tested k-meleon 74 with the goanna 2.2 web browser and it didn't work / launch on 98SE with kernelex 4.5.2 installed, mentioning failed to initialize. perhaps what you meant on k meleon working on windows 98SE with kernelex was the non goanna 2.2 combined browser / and / or an older version?

You need to install the last kernelex from jumper,KernelEx 4.5 Core Updates and set compatibility to at least windows 2000 sp4

Edited by slayer1994

Share this post


Link to post
Share on other sites
32 minutes ago, slayer1994 said:

You need to install the last kernelex from jumper,KernelEx 4.5 Core Updates and set compatibility to at least windows 2000 sp4

well i did some changes here and there but encountering different issues, i am working on the compaq presario m2000 laptop ( EC214UA#ABA) with 98SE installed and before, i was not able to even get the pci card modem or ethernet to install, but now i have, which i suspect may have to do with using a newer smbus driver, 5.10.1000.7 vs 5.10.1000.4 that i was using before. 

i have not tested the modem, even though it has a wdm and voice modem entry, as for the ethernet, firefox went to google but gave an error listed below -

"could not initialize the applications' security componenet. the most likely cause is problems with files in your application's profile directory. please check that this directory has no read/write restrictions and your hard disk is not full or close to full. it is recommended that you exit the application and fix the problem. if you continue to use this session, you might see incorrect application behavior when accessing security features". 

i had installed "KernelEx 4.5.2016.17" full installer from the link provided by "ABCDEFG" in the other thread, when i set k meleon 74 with goanna 2.2 to 2K sp4 MODE for kernelex, it was able to lauch, however it also gave that earlier that i mentioned above, as a result of both, i can only get into the homepage but no further than that. 

i noticed that before, i used the initial kernelex 4.5.2 installer + the verify 2016.17 update which was a entirely different package than the ones i saw provided in the other thread which i thought was odd, also the release notes, after applying the full installer 2016.17 kernelex, it only lists up to like 2015 or so, which i also find weird. 

i am not sure what exactly the problems are, i think it could have to do with a combination of both software / driver and bios related issues, causing hardware / driver / software problems. 

Share this post


Link to post
Share on other sites
58 minutes ago, slayer1994 said:

Yeah, probably... It works for me.

can you please tell me what kernelex version you use / which one you downloaded, like i was pointing out earlier, it is confusing to find out which exact updates to use. i currently have a package on hold named "KernelEx 4.5.2016.17" which apparently is the latest kernelex and all previous updates all in one, and i also downloaded the package with the name of "KexBeta.17", the "KexBeta.17" package differs from the existing one in my archived contents in that it reads 4.5.2016.17 when you hover over the verify application file vs 4.5.2016.16 with the existing file i have in my archive but also the archived one i already have does not have "VKrnlEx.vxd" in the newer package and i think some different file names. 

my bigger question is what is the purpose of the packages with verify in them if the "KernelEx 4.5.2016.17" is supposed to be a full package with all updates already in it? 

Share this post


Link to post
Share on other sites
5 minutes ago, cov3rt said:

can you please tell me what kernelex version you use / which one you downloaded, like i was pointing out earlier, it is confusing to find out which exact updates to use. i currently have a package on hold named "KernelEx 4.5.2016.17" which apparently is the latest kernelex and all previous updates all in one, and i also downloaded the package with the name of "KexBeta.17", the "KexBeta.17" package differs from the existing one in my archived contents in that it reads 4.5.2016.17 when you hover over the verify application file vs 4.5.2016.16 with the existing file i have in my archive but also the archived one i already have does not have "VKrnlEx.vxd" in the newer package and i think some different file names. 

my bigger question is what is the purpose of the packages with verify in them if the "KernelEx 4.5.2016.17" is supposed to be a full package with all updates already in it? 

 

I'm using this one, from the open post... Just replace them in the kernelex folder.

https://msfn.org/board/applications/core/interface/file/attachment.php?id=41628

Edited by slayer1994

Share this post


Link to post
Share on other sites
4 minutes ago, cov3rt said:

but isn't that just an update and not the actual kernelex program? 

You have to install first the kernelex 4.5.2 and then replace the files. It's an update. From now, send me a PM if you need help because this is the topic of windows 2000.

Edited by slayer1994

Share this post


Link to post
Share on other sites

No, please keep it public, other people have an interest too.
Too bad KM74-goanna doesn't has its own topic, so it's now shattered across various others, very disorganised.
Here's one especially for Win9x:
https://msfn.org/board/topic/177485-backporting-newer-browsers-to-win9x-with-kernelex/

Share this post


Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now

  • Recently Browsing   0 members

    No registered users viewing this page.

×